// VScppExample.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <simplemotion.h>
#include <iostream>
#include <stdio.h>

int _tmain(int argc, _TCHAR* argv[])
{
	// print SMV2 library version
	printf("SMV version %x\n", smGetVersion());

	smbus busHandle;

	// open SM V2 bus device (SMV2USB adapter or orthe RS485 device)
	busHandle = smOpenBus("COM15");

	if (busHandle >= 0) // open success
	{
		//set setpoint of drive with DIP switch addres 1 to 1000.
		//if motor is in positiopn control mode, then motor travels to position 1000, if in velocity mode, then velcity setpoint becomes 1000
		smSetParameter(busHandle, 1, SMP_ABSOLUTE_POS_TARGET, 1000);

		//TODO : add error handling and device status checking. See SMV2Commander Qt project source code for example.

		//before quitting, close bus
		smCloseBus(busHandle);
	}
	else
	{
		printf("Can't open COM port\n");
	}

	printf("Press enter to exit");
	getchar();
	return 0;
}

